Page MenuHomePhabricator

Template should be in the View (?)
Closed, ResolvedPublic

Description

Certain things like Icon use the template to render and do not require the container element that is created via tagName and className. Let's find way to deprecate the need for these properties.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 5:12 PM

Change 208137 had a related patch set uploaded (by Jdlrobson):
Allow view to be the template

https://gerrit.wikimedia.org/r/208137

Jdlrobson claimed this task.May 1 2015, 5:41 PM

Change 208137 merged by jenkins-bot:
Allow view to be the template

https://gerrit.wikimedia.org/r/208137

Jdlrobson closed this task as Resolved.Jun 4 2015, 9:40 PM